Shared Phidgets System Requirements

Toolkits.SharedPhidgetsSystemRequirements History

Hide minor edits - Show changes to output

Changed line 9 from:
-->You can also install our toolkit with Windows Vista; our first tests with this operating system showed that it works here as well. However, we recommend XP as operating system.
to:
-->You can also install our toolkit with Windows Vista; we've tested the toolkit, tools and developer library with the Windows Vista Business edition.
Changed line 13 from:
-->If you want to develop new applications using the toolkit then you need to install Visual Studio.NET 2002, 2003, or 2005 before installing the toolkit. If you only want to use the example applications, it is enough to have the .NET Framework installed. With VisualStudio.NET 2002 and 2003, the toolbox items of the developer library are installed automatically; in 2005 you have to add them manually after the installation (we're working on an automatic installer).
to:
-->If you want to develop new applications using the toolkit then you need to install Visual Studio.NET 2002, 2003, or 2005 before installing the toolkit. The toolbox items of the developer library are installed automatically to Visual Studio 2002, 2003, and 2005.
February 09, 2007, at 04:41 AM by 217.81.33.167 -
Changed line 7 from:
* '''Windows 2000 or XP:'''
to:
* '''Windows 2000, XP, Vista:'''
Changed lines 9-12 from:
* '''.NET Framework 1.1:'''
-->To run .NET software you need this runtime installed. On most systems this runtime is probably already installed (of course if you have Visual Studio). If the
.NET rundtime isn't installed, you can download it at the [[http://www.microsoft.com/downloads/details.aspx?FamilyID=262d25e3-f589-4842-8157-034d1e7cf3a3&DisplayLang=en | Microsoft download page]].
* '''Visual Studio 2002 or 2003:'''
-->If
you want to develop new applications using the toolkit then you need to install Visual Studio.NET 2002 or 2003 before installing the toolkit. If you only want to use the example applications, it is enough to have the .NET Framework installed.
to:
-->You can also install our toolkit with Windows Vista; our first tests with this operating system showed that it works here as well. However, we recommend XP as operating system.
*
'''.NET Framework 1.1 or 2.0:'''
-->To run .NET software you need this runtime installed
. On most systems this runtime is probably already installed (of course if you have Visual Studio). If the .NET 1.1 runtime isn't installed, you can download it at the [[http://www.microsoft.com/downloads/details.aspx?FamilyID=262d25e3-f589-4842-8157-034d1e7cf3a3&DisplayLang=en | Microsoft download page]].
* '''Visual Studio 2002
, 2003, and 2005:'''
-->If you want to develop new applications using the toolkit then you need to install Visual Studio.NET 2002, 2003, or 2005 before installing the toolkit. If you only want to use the example applications, it is enough to have the .NET Framework installed. With VisualStudio.NET 2002 and 2003, the toolbox items of the developer library are installed automatically; in 2005 you have to add them manually after the installation (we're working on an automatic installer)
.
Changed lines 16-20 from:
* '''Collabrary toolkit:'''
-->For the example applications that use video functionality (e.g., the Shared Phidgets Webcam Controller) you have to install the [[Toolkits.Collabrary | Collabrary toolkit]].
* '''.Networking toolkit:'''
-->If you want to develop applications that change the shared dictionary of the server directly, you have to install the [[Toolkits.Networking | .Networking toolkit]].
to:
Changed line 7 from:
* '''Windows 2000 or XP:'''
to:
* '''Windows 2000 or XP:'''
Changed lines 9-14 from:
* '''.NET Framework 1.1:'''\\ To run .NET software you need this runtime installed. On most systems this runtime is probably already installed (of course if you have Visual Studio). If the .NET rundtime isn't installed, you can download it at the [[http://www.microsoft.com/downloads/details.aspx?FamilyID=262d25e3-f589-4842-8157-034d1e7cf3a3&DisplayLang=en | Microsoft download page]].
* '''Visual Studio 2002 or 2003:'''\\ If you want to develop new applications using the toolkit then you need to install Visual Studio.NET 2002 or 2003 before installing the toolkit. If you only want to use the example applications, it is enough to have the .NET Framework installed.
* '''Network:'''\\ If you want to use/create distributed applications, your network has to be already setup; for local development of applications, no network is required. You can check your connections to other computers in the network with the Ping command ([[Toolkits.HowToCheckIfICanReachAnotherNetworkComputer | instructions here]]).
* '''Collabrary toolkit:'''\\ For the example applications that use video functionality (e.g., the Shared Phidgets Webcam Controller) you have to install the [[Toolkits.Collabrary | Collabrary toolkit]].
* '''.Networking toolkit:'''\\ If you want to develop applications that change the shared dictionary of the server directly, you have to install the [[Toolkits.Networking | .Networking toolkit]].
to:
* '''.NET Framework 1.1:'''
-->
To run .NET software you need this runtime installed. On most systems this runtime is probably already installed (of course if you have Visual Studio). If the .NET rundtime isn't installed, you can download it at the [[http://www.microsoft.com/downloads/details.aspx?FamilyID=262d25e3-f589-4842-8157-034d1e7cf3a3&DisplayLang=en | Microsoft download page]].
* '''Visual Studio 2002 or 2003:'''
-->
If you want to develop new applications using the toolkit then you need to install Visual Studio.NET 2002 or 2003 before installing the toolkit. If you only want to use the example applications, it is enough to have the .NET Framework installed.
* '''Network:'''
-->
If you want to use/create distributed applications, your network has to be already setup; for local development of applications, no network is required. You can check your connections to other computers in the network with the Ping command ([[Toolkits.HowToCheckIfICanReachAnotherNetworkComputer | instructions here]]).
* '''Collabrary toolkit:'''
-->
For the example applications that use video functionality (e.g., the Shared Phidgets Webcam Controller) you have to install the [[Toolkits.Collabrary | Collabrary toolkit]].
* '''.Networking toolkit:'''
-->
If you want to develop applications that change the shared dictionary of the server directly, you have to install the [[Toolkits.Networking | .Networking toolkit]].
Changed lines 7-8 from:
* '''Windows 2000 or XP:''' <br>The toolkit can only be installed on computers with the Windows operating system. We have tested the toolkit on Windows XP and 2000, however, you maybe can also use the toolkit with Windows 98/95.
to:
* '''Windows 2000 or XP:'''
-->The toolkit can only be installed on computers with the Windows operating system. We have tested the toolkit on Windows XP and 2000, however, you maybe can also use the toolkit with Windows 98/95.
Changed line 7 from:
* '''Windows 2000 or XP:''' \\The toolkit can only be installed on computers with the Windows operating system. We have tested the toolkit on Windows XP and 2000, however, you maybe can also use the toolkit with Windows 98/95.
to:
* '''Windows 2000 or XP:''' <br>The toolkit can only be installed on computers with the Windows operating system. We have tested the toolkit on Windows XP and 2000, however, you maybe can also use the toolkit with Windows 98/95.
Changed line 7 from:
* '''Windows 2000 or XP:''' \\ The toolkit can only be installed on computers with the Windows operating system. We have tested the toolkit on Windows XP and 2000, however, you maybe can also use the toolkit with Windows 98/95.
to:
* '''Windows 2000 or XP:''' \\The toolkit can only be installed on computers with the Windows operating system. We have tested the toolkit on Windows XP and 2000, however, you maybe can also use the toolkit with Windows 98/95.
Changed line 7 from:
* '''Windows 2000 or XP:'''\\ The toolkit can only be installed on computers with the Windows operating system. We have tested the toolkit on Windows XP and 2000, however, you maybe can also use the toolkit with Windows 98/95.
to:
* '''Windows 2000 or XP:''' \\ The toolkit can only be installed on computers with the Windows operating system. We have tested the toolkit on Windows XP and 2000, however, you maybe can also use the toolkit with Windows 98/95.
Changed lines 7-13 from:
* '''Windows 2000 or XP:''' The toolkit can only be installed on computers with the Windows operating system. We have tested the toolkit on Windows XP and 2000, however, you maybe can also use the toolkit with Windows 98/95.
* '''.NET Framework 1.1:''' To run .NET software you need this runtime installed. On most systems this runtime is probably already installed (of course if you have Visual Studio). If the .NET rundtime isn't installed, you can download it at the [[http://www.microsoft.com/downloads/details.aspx?FamilyID=262d25e3-f589-4842-8157-034d1e7cf3a3&DisplayLang=en | Microsoft download page]].
* '''Visual Studio 2002 or 2003:''' If you want to develop new applications using the toolkit then you need to install Visual Studio.NET 2002 or 2003 before installing the toolkit. If you only want to use the example applications, it is enough to have the .NET Framework installed.
* '''Network:''' If you want to use/create distributed applications, your network has to be already setup; for local development of applications, no network is required. You can check your connections to other computers in the network with the Ping command ([[Toolkits.HowToCheckIfICanReachAnotherNetworkComputer | instructions here]]).
* '''Collabrary toolkit:''' For the example applications that use video functionality (e.g., the Shared Phidgets Webcam Controller) you have to install the [[Toolkits.Collabrary | Collabrary toolkit]].
* '''.Networking toolkit:''' If you want to develop applications that change the shared dictionary of the server directly, you have to install the [[Toolkits.Networking | .Networking toolkit]].
to:
* '''Windows 2000 or XP:'''\\ The toolkit can only be installed on computers with the Windows operating system. We have tested the toolkit on Windows XP and 2000, however, you maybe can also use the toolkit with Windows 98/95.
* '''.NET Framework 1.1:'''\\ To run .NET software you need this runtime installed. On most systems this runtime is probably already installed (of course if you have Visual Studio). If the .NET rundtime isn't installed, you can download it at the [[http://www.microsoft.com/downloads/details.aspx?FamilyID=262d25e3-f589-4842-8157-034d1e7cf3a3&DisplayLang=en | Microsoft download page]].
* '''Visual Studio 2002 or 2003:'''\\ If you want to develop new applications using the toolkit then you need to install Visual Studio.NET 2002 or 2003 before installing the toolkit. If you only want to use the example applications, it is enough to have the .NET Framework installed.
* '''Network:'''\\ If you want to use/create distributed applications, your network has to be already setup; for local development of applications, no network is required. You can check your connections to other computers in the network with the Ping command ([[Toolkits.HowToCheckIfICanReachAnotherNetworkComputer | instructions here]]).
* '''Collabrary toolkit:'''\\ For the example applications that use video functionality (e.g., the Shared Phidgets Webcam Controller) you have to install the [[Toolkits.Collabrary | Collabrary toolkit]].
* '''.Networking toolkit:'''\\ If you want to develop applications that change the shared dictionary of the server directly, you have to install the [[Toolkits.Networking | .Networking toolkit]].
Added lines 1-13:
[[Toolkits.SharedPhidgets | << Back to the SharedPhidgets page]]
\\
\\



* '''Windows 2000 or XP:''' The toolkit can only be installed on computers with the Windows operating system. We have tested the toolkit on Windows XP and 2000, however, you maybe can also use the toolkit with Windows 98/95.
* '''.NET Framework 1.1:''' To run .NET software you need this runtime installed. On most systems this runtime is probably already installed (of course if you have Visual Studio). If the .NET rundtime isn't installed, you can download it at the [[http://www.microsoft.com/downloads/details.aspx?FamilyID=262d25e3-f589-4842-8157-034d1e7cf3a3&DisplayLang=en | Microsoft download page]].
* '''Visual Studio 2002 or 2003:''' If you want to develop new applications using the toolkit then you need to install Visual Studio.NET 2002 or 2003 before installing the toolkit. If you only want to use the example applications, it is enough to have the .NET Framework installed.
* '''Network:''' If you want to use/create distributed applications, your network has to be already setup; for local development of applications, no network is required. You can check your connections to other computers in the network with the Ping command ([[Toolkits.HowToCheckIfICanReachAnotherNetworkComputer | instructions here]]).
* '''Collabrary toolkit:''' For the example applications that use video functionality (e.g., the Shared Phidgets Webcam Controller) you have to install the [[Toolkits.Collabrary | Collabrary toolkit]].
* '''.Networking toolkit:''' If you want to develop applications that change the shared dictionary of the server directly, you have to install the [[Toolkits.Networking | .Networking toolkit]].